// Coins relatifs -> absolus - Version 1.1

// Aprs asservissement, les quatre coins sont placs de faon relative par rapport 
// une position mobile du calque. Ce script soustrait tous les carts de position de faon 
// que seuls les coins se dplacent, facilitant ainsi la manipulation de la trajectoire.

// Slectionnez le calque asservi comme calque 1.

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: Calque asservi                        indiffrent                  indiffvrent
// 2: indiffvrent                              indiffrent                  indiffrent

if (time() == start_time) {
	init_pos = value(pop_layer(1), position);

} else {
	delta_pos = value(pop_layer(1), position) - init_pos;
	
	value(pop_layer(1), position) = init_pos;

	// Suppose que "Quatre coins" est le premier effet appliqu au calque
	effect_value(pop_layer(1), 0, 1) = effect_value(pop_layer(1), 0, 1) + delta_pos;
	effect_value(pop_layer(1), 0, 2) = effect_value(pop_layer(1), 0, 2) + delta_pos;
	effect_value(pop_layer(1), 0, 3) = effect_value(pop_layer(1), 0, 3) + delta_pos;
	effect_value(pop_layer(1), 0, 4) = effect_value(pop_layer(1), 0, 4) + delta_pos;
}
