// A partir du point d'effet - Version 1.1

// Ce programme affecte  la premire ligne de menus les valeurs
// de la seconde ligne, multiplies par un facteur d'chelle.     
// Il suppose que la premire valeur est une position
// et la seconde une option d'effet. 

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: calque cible                            Position                      Position
// 2: calque o s'applique l'effet     Option d'effet              Option d'effet

// Certaines options d'effet tant exprimes en coordonnes de calque,
// il faut faire appel  la fonction "layer_to_comp" pour convertir
// les coordonnes de calque en coordonnes de composition.

scale_factor = 1.0;
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
	layer_to_comp(pop_layer(2),
	value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
