// Echelle des calques selon la composition - version 1.0

// Ce script met  l'chelle tous les calques de la comp. par le scale_factor, en dessous.
// Il remet  l'chelle la position et l'chelle. Cela est particulirement utile lorsque vous redimensionnez une
// comp. et que vous voulez mettre  l'chelle tous vos objets de sorte qu'ils correspondent  ses nouvelles dimensions.

//      CALQUES                                           PROPRIETES                     COUCHES
//      ------                                              ----------                      --------
// 1 : sans importance                               sans importance               sans importance
// 2 : sans importance                               sans importance               sans importance

if (time() == start_time) {
	original_comp_dimensions = {320,240};   // modifier par rapport  la taille de la comp. avant la mise  l'chelle
	new_comp_dimensions = {160,120};          // modifier par rapport  la taille de la comp. aprs la mise  l'chelle

	scale_factor = (new_comp_dimensions / original_comp_dimensions);
}

l = 1;
while (l <= num_layers) {       // boucle sur tous les calques

        value(l, position) = value(l, position) * scale_factor;
        value(l, scale) = value(l, scale) * scale_factor;

  l = l+1;
}
