// Pont - Version 1.0
// Ce script applique une mise  l'chelle/rotation/translation au calque dfini
// dans span_layer de faon qu'il relie les calques 1 et 2.

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: Calque de dpart                     indiffrent                  indiffrent
// 2: Calque d'arrive                      indiffrent                  indiffrent
//
// span_layer : calque  placer entre les calques 1 et 2

span_layer = "nom ou numro du calque";

l1 = pop_layer(1);
l2 = pop_layer(2);

// Calcul de la position moyenne entre l1 et l2
value(span_layer, position) = (value(l1, position) + value(l2, position)) / 2;

// Calcul du vecteur entre l1 et l2
delta = value(l1, position) - value(l2, position);

// Calcul de rotation  appliquer au calque, par conversion du vecteur en degrs
value(span_layer, rotation) = -rad_to_deg( atan2(delta[X], delta[Y]) ) + 90;

// Mise  l'chelle du calque en fonction de la distance entre les calques 1 et 2
value(span_layer, scale)[X] = length(delta) / layer_size(span_layer)[X] * 100;
