// Positionnement stro - Version 1.0

// Ce programme dfinit les niveaux audio De la premi  re ligne de menus locaux
// par rapport  la position x du calque du menu local 2, mise  l'chelle pour respecter la fourchette [min_DB, max_DB].
// Il n'applique des points cls que pendant la dure du calque audio.
// CALQUES										PROPRIETES					COUCHES
// ------										----------				--------
// 1 : calque avec audio						Niveaux audio			sans importance
// 2 : calque avec donnes de position			sans importance			sans importance

min_DB = -18;
max_DB = 3;

if (time() == start_time) {	//initialization
	audio_in	= layer_time_bounds(pop_layer(2))[0] ;
	audio_out	= layer_time_bounds(pop_layer(2))[1] ;
}

if ( (time() >= audio_in) && (time() <= audio_out) ) {

	pos =  value(pop_layer(2), position);

	if (pos[X] > comp_size) {
		pos[X] = comp_size[0];
	}

	if (pos[X] < 0) { 
		pos[X] = 0;
	} 

	left_interp = pos[X] / comp_size[0];
	right_interp = 1.0 - left_interp;

	//Left Channel
	value(pop_layer(1), pop_property(1)) [0] = left_interp * (max_DB - min_DB) + min_DB;

	//Right Channel
	value(pop_layer(1),pop_property(1)) [1] = right_interp * (max_DB - min_DB) + min_DB;
} 
