// Audio de calque pour remappage temporel - Version 1.0

// Ce programme dfinit la valeur de la premire ligne de menus locaux
// par rapport au niveau audio du calque du menu local 2, mis  l'chelle pour respecter la fourchette [min, max].
// Il n'applique les points cls que pendant la dure du calque audio.

// CALQUES										PROPRIETES					COUCHES
// ------										----------				--------
// 1 : calque dans lequel est copie l'amplitude audio		proprit  varier			couche de proprit
// 2 : calque avec audio							sans importance				sans importance

max = 0.02;		// remplacer par la valeur maximale
min = -0.02;			// remplacer par la valeur minimale

if (time() == start_time) {	//initialization
	audio_in	= layer_time_bounds(pop_layer(2))[0] ;
	audio_out	= layer_time_bounds(pop_layer(2))[1] ;
}

if ( (time() >= audio_in) && (time() <= audio_out) ) {

	value(pop_layer(1), pop_property(1)) [pop_channel(1)] = 
	     min + layer_audio_amplitude(pop_layer(2)) * (max - min) +
		value(pop_layer(1), pop_property(1)) [pop_channel(1)];

}
