//Pointage vers un calque - Version 1.1

// Ce script fait pointer le calque 1 vers le calque 2 en dfinissant
// des points cls de rotation de faon que l'axe y du premier calque
// soit toujours orient vers le centre du second.

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: Calque qui pointe                    indiffrent                   indiffrent
// 2: Calque vers lequel on pointe    indiffrent                   indiffrent

delta = value(pop_layer(1), position) - value(pop_layer(2), position);

// Calcul de l'angle correspondant au vecteur entre calque 1 et calque 2
// On soustrait 90, pour faire pointer l'axe y au lieu de l'axe x
ang = rad_to_deg(atan2(delta[Y], delta[X])) - 90;

value(pop_layer(1), rotation) = ang;
