// Vers le point d'effet - Version 1.2

// Ce programme affecte  la premire ligne de menus les valeurs
// de la seconde ligne, multiplies par un facteur d'chelle,     
// en supposant que la premire proprit est une option d'effet. 

//      CALQUE                                 PROPRIETE                  DIMENSION
//      -------                                 ----------                  ---------- 
// 1: calque o s'applique l'effet     Option d'effet              Option d'effet
// 2: calque source                         Position                      Position

//La premire valeur tant suppose tre un point d'effet,
// il faut faire appel  la fonction "comp_to_layer" de faon
// que les options d'effet soient dfinies en coordonnes de calque.

scale_factor = 1.0;	// facteur  d'chelle
value(pop_layer(1), pop_property(1)) [pop_channel(1)] =
	comp_to_layer(pop_layer(1), 
	value(pop_layer(2), pop_property(2)) [pop_channel(2)]) * scale_factor;
